{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "title": "create_pdata",
  "description": "Create a pdata file by combining the mapping statistics \n",
  "type": "object",
  "$defs": {
    "arguments": {
      "title": "Arguments",
      "type": "object",
      "description": "No description",
      "properties": {
        "star_stats_file": {
          "type": "string",
          "format": "path",
          "exists": true,
          "description": "Tab-delimited text file containing statistics (per column) that were generated\nfrom the STAR log files (Log.final.out, Summary.csv, ReadsPerGene.out.tab).\nEach entry (row) in the file describes the values for one well (barcode).\n",
          "help_text": "Type: `file`, multiple: `False`, required, direction: `input`. "
        },
        "nrReadsNrGenesPerChromPool": {
          "type": "string",
          "format": "path",
          "exists": true,
          "description": "Pivot table in tsv format of the combined nrReadsNrGenesPerChrom files from STAR",
          "help_text": "Type: `file`, multiple: `False`, required, direction: `input`. "
        },
        "output": {
          "type": "string",
          "format": "path",
          "description": "",
          "help_text": "Type: `file`, multiple: `False`, default: `\"pData.$id.txt\"`, direction: `output`. ",
          "default": "pData.$id.txt"
        }
      }
    },
    "nextflow input-output arguments": {
      "title": "Nextflow input-output arguments",
      "type": "object",
      "description": "Input/output parameters for Nextflow itself. Please note that both publishDir and publish_dir are supported but at least one has to be configured.",
      "properties": {
        "publish_dir": {
          "type": "string",
          "description": "Path to an output directory.",
          "help_text": "Type: `string`, multiple: `False`, required, example: `\"output/\"`. "
        }
      }
    }
  },
  "allOf": [
    {
      "$ref": "#/$defs/arguments"
    },
    {
      "$ref": "#/$defs/nextflow input-output arguments"
    }
  ]
}
